<?php
# ***** BEGIN LICENSE BLOCK *****
# Tribune Libre for DotClear.
# Copyright (c) 2005 Antoine Libert. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****


/////////////////////////////////////////////////
// Retourne le code du player

class dcNeolao {

	//fonction replace
	function replace($f) {
		$oldf = str_replace('ecrire',DC_ECRIRE,dirname(__FILE__).'/../../../'.$f);
		$newf = dirname(__FILE__).'/files/'.$f;

		if (@copy($newf,$oldf)) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
	
	// Le player de MP3
	function getMp3PlayerCode($playerDirectory,$mp3Path,$autoPlay,$bgColor,$width,$height,$displayPodcastLogo,$showtime,$showstop,$showvolume,$bgcolor1,$bgcolor2,$playercolor){

		//$blogUrl = str_replace("index.php","",dc_blog_url);

		$code = '&lt;object type="application/x-shockwave-flash" data="'.dc_app_url.'/'.$playerDirectory.'/player_mp3_maxi.swf" width="'.$width.'" height="'.$height.'"&gt;<br/>'
				 .'&lt;param name="movie" value="'.dc_app_url.'/'.$playerDirectory.'/player_mp3_maxi.swf" /&gt;<br/>'
				 .'&lt;param name="FlashVars" value="mp3='.dc_app_url.'/'.$mp3Path.'&amp;amp;autoplay='.$autoPlay.'&amp;amp;showstop='.$showstop.'&amp;amp;showvolume='.$showvolume.'&amp;amp;showtime='.$showtime.'&amp;amp;playercolor='.$playercolor.'&amp;amp;bgcolor='.$bgColor.'&amp;amp;bgcolor1='.$bgcolor1.'&amp;amp;bgcolor2='.$bgcolor2.'" /&gt;<br/>'
			   .'&lt;param name="wmode" value="transparent" /&gt;<br/>'
				 .'&lt;/object&gt;<br/>///<br/>';

		if ($displayPodcastLogo=="1") {
			$code = '&lt;a href="'.dc_app_url.'/'.$mp3Path.'"&gt;&lt;img src="'.dc_app_url.'/'.$playerDirectory.'/podcast.png" alt="podcast" style="border:0"/&gt;&lt;/a&gt;'.$code;
		}

		return "<br/>///html<br/>".$code;
	}
	
	// Le player de fichier FLV
	function getMoviePlayerCode($playerDirectory,$mp3Path,$autoPlay,$bgColor,$width,$height,$displayPodcastLogo,$showtime,$showstop,$showvolume,$bgcolor1,$bgcolor2,$playercolor){
	
		$blogUrl = str_replace("index.php","",dc_blog_url);
	
		$code = '&lt;div style="display: block; text-align: center;"&gt;<br />
			&lt;object type="application/x-shockwave-flash" width="'.$width.'" height="'.$height.'" data="'.dc_app_url.'/'.$playerDirectory.'/player_flv_maxi.swf"&gt;<br />
			&lt;param name="movie" value="'.dc_app_url.'/'.$playerDirectory.'/player_flv_maxi.swf" /&gt;<br />	
			&lt;param name="FlashVars" value="flv='.dc_app_url.'/'.$mp3Path.'&amp;amp;autoplay='.$autoPlay.'&amp;amp;showstop='.$showstop.'&amp;amp;showvolume='.$showvolume.'&amp;amp;showtime='.$showtime.'&amp;amp;playercolor='.$playercolor.'&amp;amp;bgcolor='.$bgColor.'&amp;amp;bgcolor1='.$bgcolor1.'&amp;amp;bgcolor2='.$bgcolor2.'" /&gt;<br />
			&lt;param name="wmode" value="transparent" /&gt;<br />
			&lt;/object&gt;<br />
			&lt;/div&gt;<br />
			///<br />';
			
		return "<br />///html<br />".$code;

	}
}
?>
